Bug 124325 - [PATCH] sysutils/fusefs-libs: fix undefined reference
Summary: [PATCH] sysutils/fusefs-libs: fix undefined reference
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Yen-Ming Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-05 23:00 UTC by Yen-Ming Lee
Modified: 2008-06-21 08:34 UTC (History)
1 user (show)

See Also:


Attachments
fusefs-libs-2.7.2_2.patch (1.07 KB, patch)
2008-06-05 23:00 UTC, Yen-Ming Lee
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yen-Ming Lee freebsd_committer 2008-06-05 23:00:18 UTC
- fix undefined reference in libfuse

Added file(s):
- files/patch-configure

Port maintainer (amistry@am-productions.biz) is cc'd.

Generated with FreeBSD Port Tools 0.77

Fix: Just a workaround. If you have better way to fix it, please ignore my dirty-hack patch.
How-To-Repeat: Simply link against /usr/local/lib/libfuse.so.2, and you will get something like this:
/usr/local/lib/libfuse.so.2: undefined reference to `libiconv_open'
/usr/local/lib/libfuse.so.2: undefined reference to `libiconv_close'
/usr/local/lib/libfuse.so.2: undefined reference to `libiconv'

It affects all FUSE system and force maintainers to do something about iconv for libfuse.
Comment 1 Edwin Groothuis freebsd_committer 2008-06-05 23:00:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->leeym

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-06-05 23:00:26 UTC
Maintainer of sysutils/fusefs-libs,

Please note that PR ports/124325 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/124325

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-06-05 23:00:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Yen-Ming Lee 2008-06-05 23:19:23 UTC
Sorry that please also add USE_ICONV=yes in Makefile to make sure that
it will bring in iconv as dependency

Thanks,
-- 
Yen-Ming Lee <leeym@leeym.com>
Comment 5 dfilter service freebsd_committer 2008-06-20 15:13:59 UTC
leeym       2008-06-20 14:13:50 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/fusefs-libs Makefile 
  Added files:
    sysutils/fusefs-libs/files patch-configure 
  Log:
  - fix undefined reference in libfuse
  
  PR:             124325
  Submitted by:   leeym
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.17      +2 -1      ports/sysutils/fusefs-libs/Makefile
  1.1       +10 -0     ports/sysutils/fusefs-libs/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Yen-Ming Lee freebsd_committer 2008-06-21 08:33:58 UTC
State Changed
From-To: feedback->closed

Committed, thanks.